package com.phlx.wool.entity;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.databinding.BaseObservable;

import com.google.gson.annotations.SerializedName;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

/**
 * <pre>
 *     author : lei
 *     e-mail : 18600395998@163.com
 *     time   : 2020/04/10
 *     desc   : 免疫方法表
 *     version: 1.0
 * </pre>
 */
@Entity
public class TreatmentMethod extends BaseObservable implements Parcelable {

    @Id(autoincrement = false)
    private Long id;

    /**
     * 无害化处理方法代码
     */
    @SerializedName("innocuitymanageid")
    private String TreatmentMethodCode;

    /**
     * 无害化处理方法名称
     */
    @SerializedName("innocuitymanagename")
    private String TreatmentMethodName;


    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTreatmentMethodCode() {
        return this.TreatmentMethodCode;
    }

    public void setTreatmentMethodCode(String TreatmentMethodCode) {
        this.TreatmentMethodCode = TreatmentMethodCode;
    }

    public String getTreatmentMethodName() {
        return this.TreatmentMethodName;
    }

    public void setTreatmentMethodName(String TreatmentMethodName) {
        this.TreatmentMethodName = TreatmentMethodName;
    }



    @Override
    public String toString() {
        return "TreatmentMethod{" +
                "id=" + id +
                ", TreatmentMethodCode='" + TreatmentMethodCode + '\'' +
                ", TreatmentMethodName='" + TreatmentMethodName + '\'' +
                '}';
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeValue(this.id);
        dest.writeString(this.TreatmentMethodCode);
        dest.writeString(this.TreatmentMethodName);
    }

    protected TreatmentMethod(Parcel in) {
        this.id = (Long) in.readValue(Long.class.getClassLoader());
        this.TreatmentMethodCode = in.readString();
        this.TreatmentMethodName = in.readString();
    }

    @Generated(hash = 462331568)
    public TreatmentMethod(Long id, String TreatmentMethodCode,
            String TreatmentMethodName) {
        this.id = id;
        this.TreatmentMethodCode = TreatmentMethodCode;
        this.TreatmentMethodName = TreatmentMethodName;
    }

    @Generated(hash = 1094318306)
    public TreatmentMethod() {
    }

    public static final Creator<TreatmentMethod> CREATOR =
            new Creator<TreatmentMethod>() {
        @Override
        public TreatmentMethod createFromParcel(Parcel source) {
            return new TreatmentMethod(source);
        }

        @Override
        public TreatmentMethod[] newArray(int size) {
            return new TreatmentMethod[size];
        }
    };

}
